Optional UUID identifying the conversation thread associated with the interaction.The interaction will be associated with the thread if the id represents an existing thread.If the thread with the specified id is not found, a new thread will be created.
List of trace spans associated with the interaction.These spans provide insight into the individual steps taken by nodes involved in generating the output.
Optional UUID identifying the conversation thread associated with the interaction.The interaction will be associated with the thread if the id represents an existing thread.If the thread with the specified id is not found, a new thread will be created.
List of trace span entities associated with the interaction.
Show child attributes
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Scale AI","colors":{"primary":"#3f2e7b","light":"#ca62ff","dark":"#3f2e7b"},"logo":{"light":"https://mintcdn.com/scalegp/TBmst1qiYXwYqUB5/logo/light.png?fit=max\u0026auto=format\u0026n=TBmst1qiYXwYqUB5\u0026q=85\u0026s=46027042c16b373ac463148db5ad1d6b","dark":"https://mintcdn.com/scalegp/TBmst1qiYXwYqUB5/logo/dark.png?fit=max\u0026auto=format\u0026n=TBmst1qiYXwYqUB5\u0026q=85\u0026s=02733f39d684d796ec742853eabf0de5"},"favicon":"https://mintcdn.com/scalegp/1vQnbXFkjbQbcgd1/favicon.png?fit=max\u0026auto=format\u0026n=1vQnbXFkjbQbcgd1\u0026q=85\u0026s=f52c84ba46a7cca58551673616dabe9c","background":{"decoration":"windows"},"navbar":{"links":[],"primary":{"type":"button","label":"Platform","href":"https://app.sgp.scale.com/"}},"footer":{"socials":{"x":"https://x.com/scale_ai","facebook":"https://www.facebook.com/scaleapi","linkedin":"https://www.linkedin.com/company/scaleai"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"scalegp","hasAudioNarration":false,"actualSubdomain":"scalegp","customDomains":["docs.gp.scale.com"],"gitSource":{"type":"github","owner":"scaleapi","repo":"sgp-docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aecf0ec6829c68a2fb0d3c8","clientVersion":"0.0.4117","searchFilterCounts":[{"language":"default","tag":"API Reference","count":235},{"language":"default","tag":"AgentOps API","count":141},{"language":"default","tag":"Guides","count":131},{"language":"default","tag":"Agentex API","count":97},{"language":"default","tag":"Evaluations","count":72},{"language":"default","tag":"Dex API","count":48},{"language":"default","tag":"Agents","count":44},{"language":"default","tag":"Evaluation Datasets","count":34},{"language":"default","tag":"Models","count":32},{"language":"default","tag":"Knowledge Bases","count":31}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":"@font-face{font-family:'Aeonik';src:url('https://fonts.gstatic.com/s/inter/v18/UcC73FwrK3iLTeHuS_nVMrMxCp50SjIa1ZL7W0Q5nw.woff2');font-weight:normal;font-style:normal;font-display:swap}h1,h2,h3{font-family:'aeonik';letter-spacing:normal!important}"}],"page":{"pagePath":"reference/v4/interactions/create-application-interaction","slug":"/reference/v4/interactions/create-application-interaction","pageMetadata":{"title":"Create Application Interaction","description":null,"deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/interactions/","href":"/reference/v4/interactions/create-application-interaction","autogeneratedByOpenApi":true},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create Application Interaction","description":null,"deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/interactions/","href":"/reference/v4/interactions/create-application-interaction","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Interactions"],"summary":"Create Application Interaction","operationId":"POST-V4-/","requestBody":"79cd6b4e-2ec4-47ee-ae11-f5c1ab0833e1","responses":{"200":"440905cb-96c5-431c-be6e-3490a054c5f5","422":"bdd1d790-af53-4c34-86d5-f91c7e45151e"},"method":"post","type":"path","servers":["d7da804a-61ba-45a0-9ede-fb5392d113cf"],"security":[],"path":"/v4/interactions/","baseUrlOptions":["https://api.egp.scale.com"],"title":"Create Application Interaction","description":"","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"properties":{"application_variant_id":{"type":"string","title":"Application Variant Id","description":"Identifier for the application variant that performed this interaction.","isRequired":true,"uniqueKey":"application_variant_id","typeLabel":"string"},"input":{"properties":{"query":{"type":"string","title":"Query","description":"The query or input text for the interaction.","isRequired":true,"uniqueKey":"input.query","typeLabel":"string"}},"additionalProperties":true,"type":"object","required":["query"],"title":"InteractionInput","description":"The input data for the interaction.","isRequired":true,"uniqueKey":"input","typeLabel":"InteractionInput · object"},"output":{"properties":{"response":{"type":"string","title":"Response","description":"The response or output text of the interaction.","isRequired":true,"uniqueKey":"output.response","typeLabel":"string"},"context":{"oneOf":[{"type":"array","items":{"properties":{"text":{"type":"string","title":"Text","description":"The text of the context entry.","isRequired":true,"uniqueKey":"output.context.oneOf.0.items.[INDEX].text","typeLabel":"string"},"score":{"oneOf":[{"type":"number","title":"Score","description":"The score of the context entry.","uniqueKey":"output.context.oneOf.0.items.[INDEX].score.oneOf.0","typeLabel":"number"},{"type":"null","title":"Score","description":"The score of the context entry.","uniqueKey":"output.context.oneOf.0.items.[INDEX].score.oneOf.1","typeLabel":"null"}],"uniqueKey":"output.context.oneOf.0.items.[INDEX].score","typeLabel":"number | null"}},"additionalProperties":true,"type":"object","required":["text"],"title":"InteractionOutputContextEntry","uniqueKey":"output.context.oneOf.0.items.[INDEX]","typeLabel":"InteractionOutputContextEntry · object"},"title":"Context","description":"Optional context information provided with the response.","uniqueKey":"output.context.oneOf.0","typeLabel":"InteractionOutputContextEntry · object[]"},{"type":"null","title":"Context","description":"Optional context information provided with the response.","uniqueKey":"output.context.oneOf.1","typeLabel":"null"}],"uniqueKey":"output.context","typeLabel":"InteractionOutputContextEntry · object[] | null"}},"additionalProperties":true,"type":"object","required":["response"],"title":"InteractionOutput","description":"The output data from the interaction.","isRequired":true,"uniqueKey":"output","typeLabel":"InteractionOutput · object"},"start_timestamp":{"type":"string","format":"date-time","title":"Start Timestamp","description":"Timestamp marking the start of the interaction.","isRequired":true,"uniqueKey":"start_timestamp","typeLabel":"string\u003cdate-time>"},"thread_id":{"oneOf":[{"type":"string","title":"Thread Id","description":"Optional UUID identifying the conversation thread associated with the interaction.The interaction will be associated with the thread if the id represents an existing thread.If the thread with the specified id is not found, a new thread will be created.","uniqueKey":"thread_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Thread Id","description":"Optional UUID identifying the conversation thread associated with the interaction.The interaction will be associated with the thread if the id represents an existing thread.If the thread with the specified id is not found, a new thread will be created.","uniqueKey":"thread_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"thread_id","typeLabel":"string | null"},"duration_ms":{"oneOf":[{"type":"integer","title":"Duration Ms","description":"Duration of the interaction in milliseconds.","default":0,"uniqueKey":"duration_ms.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Duration Ms","description":"Duration of the interaction in milliseconds.","default":0,"uniqueKey":"duration_ms.oneOf.1","typeLabel":"null"}],"uniqueKey":"duration_ms","typeLabel":"integer | null"},"operation_status":{"oneOf":[{"type":"string","title":"OperationStatus","description":"The outcome status of the interaction.","default":"SUCCESS","enum":["SUCCESS","ERROR"],"uniqueKey":"operation_status.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"The outcome status of the interaction.","default":"SUCCESS","uniqueKey":"operation_status.oneOf.1","typeLabel":"null"}],"uniqueKey":"operation_status","typeLabel":"enum\u003cstring> | null"},"operation_metadata":{"additionalProperties":true,"type":"object","title":"Operation Metadata","description":"Optional metadata related to the operation, including custom or predefined keys.","default":{},"uniqueKey":"operation_metadata","typeLabel":"Operation Metadata · object"},"trace_spans":{"oneOf":[{"type":"array","items":{"properties":{"node_id":{"type":"string","title":"Node Id","description":"Identifier for the node that emitted this trace span.","isRequired":true,"uniqueKey":"trace_spans.oneOf.0.items.[INDEX].node_id","typeLabel":"string"},"operation_type":{"type":"string","enum":["COMPLETION","RERANKING","RETRIEVAL","CUSTOM"],"title":"OperationType","description":"Type of the operation, e.g., RERANKING.","isRequired":true,"uniqueKey":"trace_spans.oneOf.0.items.[INDEX].operation_type","typeLabel":"enum\u003cstring>"},"start_timestamp":{"type":"string","format":"date-time","title":"Start Timestamp","description":"The start time of the step.","isRequired":true,"uniqueKey":"trace_spans.oneOf.0.items.[INDEX].start_timestamp","typeLabel":"string\u003cdate-time>"},"operation_status":{"type":"string","enum":["SUCCESS","ERROR"],"title":"OperationStatus","description":"The outcome of the operation performed by this node.","default":"SUCCESS","uniqueKey":"trace_spans.oneOf.0.items.[INDEX].operation_status","typeLabel":"enum\u003cstring>"},"end_timestamp":{"oneOf":[{"type":"string","title":"End Timestamp","description":"The end time of the step.","format":"date-time","uniqueKey":"trace_spans.oneOf.0.items.[INDEX].end_timestamp.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"End Timestamp","description":"The end time of the step.","uniqueKey":"trace_spans.oneOf.0.items.[INDEX].end_timestamp.oneOf.1","typeLabel":"null"}],"uniqueKey":"trace_spans.oneOf.0.items.[INDEX].end_timestamp","typeLabel":"string\u003cdate-time> | null"},"operation_input":{"additionalProperties":true,"type":"object","title":"Operation Input","description":"The JSON representation of the input that this step received.","default":{},"uniqueKey":"trace_spans.oneOf.0.items.[INDEX].operation_input","typeLabel":"Operation Input · object"},"operation_output":{"additionalProperties":true,"type":"object","title":"Operation Output","description":"The JSON representation of the output that this step emitted.","default":{},"uniqueKey":"trace_spans.oneOf.0.items.[INDEX].operation_output","typeLabel":"Operation Output · object"},"operation_metadata":{"additionalProperties":true,"type":"object","title":"Operation Metadata","description":"The JSON representation of the metadata insights emitted during execution. This can differ based on different types of operations.","default":{},"uniqueKey":"trace_spans.oneOf.0.items.[INDEX].operation_metadata","typeLabel":"Operation Metadata · object"},"duration_ms":{"type":"integer","title":"Duration Ms","description":"The duration of the operation step in milliseconds.","default":0,"uniqueKey":"trace_spans.oneOf.0.items.[INDEX].duration_ms","typeLabel":"integer"},"account_id":{"oneOf":[{"type":"string","title":"Account Id","description":"The ID of the account that owns this trace span.","uniqueKey":"trace_spans.oneOf.0.items.[INDEX].account_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Account Id","description":"The ID of the account that owns this trace span.","uniqueKey":"trace_spans.oneOf.0.items.[INDEX].account_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"trace_spans.oneOf.0.items.[INDEX].account_id","typeLabel":"string | null"}},"type":"object","required":["node_id","operation_type","start_timestamp"],"title":"TraceSpanRequest","description":"Represents a trace span request, that contains the details of certain steps that took part in the interaction.","uniqueKey":"trace_spans.oneOf.0.items.[INDEX]","typeLabel":"TraceSpanRequest · object"},"title":"Trace Spans","description":"List of trace spans associated with the interaction.These spans provide insight into the individual steps taken by nodes involved in generating the output.","uniqueKey":"trace_spans.oneOf.0","typeLabel":"TraceSpanRequest · object[]"},{"type":"null","title":"Trace Spans","description":"List of trace spans associated with the interaction.These spans provide insight into the individual steps taken by nodes involved in generating the output.","uniqueKey":"trace_spans.oneOf.1","typeLabel":"null"}],"uniqueKey":"trace_spans","typeLabel":"TraceSpanRequest · object[] | null"}},"type":"object","required":["application_variant_id","input","output","start_timestamp"],"title":"InteractionRequest","description":"Represents an interaction performed with an application, including input, output, and associated metadata.","uniqueKey":"","typeLabel":"InteractionRequest · object"},"examples":{"Example":{"title":"Example","value":{"application_variant_id":"\u003cstring>","input":{"query":"\u003cstring>"},"output":{"response":"\u003cstring>","context":[{"text":"\u003cstring>","score":123}]},"start_timestamp":"2023-11-07T05:31:56Z","thread_id":"\u003cstring>","duration_ms":0,"operation_status":"SUCCESS","operation_metadata":{},"trace_spans":[{"node_id":"\u003cstring>","start_timestamp":"2023-11-07T05:31:56Z","operation_status":"SUCCESS","end_timestamp":"2023-11-07T05:31:56Z","operation_input":{},"operation_output":{},"operation_metadata":{},"duration_ms":0,"account_id":"\u003cstring>"}]}}},"exampleType":"generated"}},"required":true,"exampleType":"generated"},"responses":{"440905cb-96c5-431c-be6e-3490a054c5f5":{"description":"Successful Response","content":{"application/json":{"schema":{"properties":{"application_variant_id":{"type":"string","title":"Application Variant Id","description":"Identifier for the application variant that performed this interaction.","isRequired":true,"uniqueKey":"application_variant_id","typeLabel":"string"},"input":{"properties":{"query":{"type":"string","title":"Query","description":"The query or input text for the interaction.","isRequired":true,"uniqueKey":"input.query","typeLabel":"string"}},"additionalProperties":true,"type":"object","required":["query"],"title":"InteractionInput","description":"The input data for the interaction.","isRequired":true,"uniqueKey":"input","typeLabel":"InteractionInput · object"},"output":{"properties":{"response":{"type":"string","title":"Response","description":"The response or output text of the interaction.","isRequired":true,"uniqueKey":"output.response","typeLabel":"string"},"context":{"oneOf":[{"type":"array","items":{"properties":{"text":{"type":"string","title":"Text","description":"The text of the context entry.","isRequired":true,"uniqueKey":"output.context.oneOf.0.items.[INDEX].text","typeLabel":"string"},"score":{"oneOf":[{"type":"number","title":"Score","description":"The score of the context entry.","uniqueKey":"output.context.oneOf.0.items.[INDEX].score.oneOf.0","typeLabel":"number"},{"type":"null","title":"Score","description":"The score of the context entry.","uniqueKey":"output.context.oneOf.0.items.[INDEX].score.oneOf.1","typeLabel":"null"}],"uniqueKey":"output.context.oneOf.0.items.[INDEX].score","typeLabel":"number | null"}},"additionalProperties":true,"type":"object","required":["text"],"title":"InteractionOutputContextEntry","uniqueKey":"output.context.oneOf.0.items.[INDEX]","typeLabel":"InteractionOutputContextEntry · object"},"title":"Context","description":"Optional context information provided with the response.","uniqueKey":"output.context.oneOf.0","typeLabel":"InteractionOutputContextEntry · object[]"},{"type":"null","title":"Context","description":"Optional context information provided with the response.","uniqueKey":"output.context.oneOf.1","typeLabel":"null"}],"uniqueKey":"output.context","typeLabel":"InteractionOutputContextEntry · object[] | null"}},"additionalProperties":true,"type":"object","required":["response"],"title":"InteractionOutput","description":"The output data from the interaction.","isRequired":true,"uniqueKey":"output","typeLabel":"InteractionOutput · object"},"start_timestamp":{"type":"string","format":"date-time","title":"Start Timestamp","description":"Timestamp marking the start of the interaction.","isRequired":true,"uniqueKey":"start_timestamp","typeLabel":"string\u003cdate-time>"},"id":{"type":"string","title":"Id","description":"Unique identifier for the interaction.","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"thread_id":{"oneOf":[{"type":"string","title":"Thread Id","description":"Optional UUID identifying the conversation thread associated with the interaction.The interaction will be associated with the thread if the id represents an existing thread.If the thread with the specified id is not found, a new thread will be created.","uniqueKey":"thread_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Thread Id","description":"Optional UUID identifying the conversation thread associated with the interaction.The interaction will be associated with the thread if the id represents an existing thread.If the thread with the specified id is not found, a new thread will be created.","uniqueKey":"thread_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"thread_id","typeLabel":"string | null"},"duration_ms":{"oneOf":[{"type":"integer","title":"Duration Ms","description":"Duration of the interaction in milliseconds.","default":0,"uniqueKey":"duration_ms.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Duration Ms","description":"Duration of the interaction in milliseconds.","default":0,"uniqueKey":"duration_ms.oneOf.1","typeLabel":"null"}],"uniqueKey":"duration_ms","typeLabel":"integer | null"},"operation_status":{"oneOf":[{"type":"string","title":"OperationStatus","description":"The outcome status of the interaction.","default":"SUCCESS","enum":["SUCCESS","ERROR"],"uniqueKey":"operation_status.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"The outcome status of the interaction.","default":"SUCCESS","uniqueKey":"operation_status.oneOf.1","typeLabel":"null"}],"uniqueKey":"operation_status","typeLabel":"enum\u003cstring> | null"},"operation_metadata":{"additionalProperties":true,"type":"object","title":"Operation Metadata","description":"Optional metadata related to the operation, including custom or predefined keys.","default":{},"uniqueKey":"operation_metadata","typeLabel":"Operation Metadata · object"},"trace_spans":{"oneOf":[{"type":"array","items":{"properties":{"node_id":{"type":"string","title":"Node Id","description":"Identifier for the node that emitted this trace span.","isRequired":true,"uniqueKey":"trace_spans.oneOf.0.items.[INDEX].node_id","typeLabel":"string"},"operation_type":{"type":"string","enum":["COMPLETION","RERANKING","RETRIEVAL","CUSTOM"],"title":"OperationType","description":"Type of the operation, e.g., RERANKING.","isRequired":true,"uniqueKey":"trace_spans.oneOf.0.items.[INDEX].operation_type","typeLabel":"enum\u003cstring>"},"start_timestamp":{"type":"string","format":"date-time","title":"Start Timestamp","description":"The start time of the step.","isRequired":true,"uniqueKey":"trace_spans.oneOf.0.items.[INDEX].start_timestamp","typeLabel":"string\u003cdate-time>"},"id":{"type":"string","title":"Id","description":"Unique identifier for the trace span.","isRequired":true,"uniqueKey":"trace_spans.oneOf.0.items.[INDEX].id","typeLabel":"string"},"application_interaction_id":{"type":"string","title":"Application Interaction Id","description":"The ID of the application interaction this trace span belongs to.","isRequired":true,"uniqueKey":"trace_spans.oneOf.0.items.[INDEX].application_interaction_id","typeLabel":"string"},"operation_status":{"type":"string","enum":["SUCCESS","ERROR"],"title":"OperationStatus","description":"The outcome of the operation performed by this node.","default":"SUCCESS","uniqueKey":"trace_spans.oneOf.0.items.[INDEX].operation_status","typeLabel":"enum\u003cstring>"},"end_timestamp":{"oneOf":[{"type":"string","title":"End Timestamp","description":"The end time of the step.","format":"date-time","uniqueKey":"trace_spans.oneOf.0.items.[INDEX].end_timestamp.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"End Timestamp","description":"The end time of the step.","uniqueKey":"trace_spans.oneOf.0.items.[INDEX].end_timestamp.oneOf.1","typeLabel":"null"}],"uniqueKey":"trace_spans.oneOf.0.items.[INDEX].end_timestamp","typeLabel":"string\u003cdate-time> | null"},"operation_input":{"additionalProperties":true,"type":"object","title":"Operation Input","description":"The JSON representation of the input that this step received.","default":{},"uniqueKey":"trace_spans.oneOf.0.items.[INDEX].operation_input","typeLabel":"Operation Input · object"},"operation_output":{"additionalProperties":true,"type":"object","title":"Operation Output","description":"The JSON representation of the output that this step emitted.","default":{},"uniqueKey":"trace_spans.oneOf.0.items.[INDEX].operation_output","typeLabel":"Operation Output · object"},"operation_metadata":{"additionalProperties":true,"type":"object","title":"Operation Metadata","description":"The JSON representation of the metadata insights emitted during execution. This can differ based on different types of operations.","default":{},"uniqueKey":"trace_spans.oneOf.0.items.[INDEX].operation_metadata","typeLabel":"Operation Metadata · object"},"duration_ms":{"type":"integer","title":"Duration Ms","description":"The duration of the operation step in milliseconds.","default":0,"uniqueKey":"trace_spans.oneOf.0.items.[INDEX].duration_ms","typeLabel":"integer"},"account_id":{"oneOf":[{"type":"string","title":"Account Id","description":"The ID of the account that owns this trace span.","uniqueKey":"trace_spans.oneOf.0.items.[INDEX].account_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Account Id","description":"The ID of the account that owns this trace span.","uniqueKey":"trace_spans.oneOf.0.items.[INDEX].account_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"trace_spans.oneOf.0.items.[INDEX].account_id","typeLabel":"string | null"}},"type":"object","required":["node_id","operation_type","start_timestamp","id","application_interaction_id"],"title":"TraceSpanEntity","description":"Represents a trace span entity, tied to an interaction.","uniqueKey":"trace_spans.oneOf.0.items.[INDEX]","typeLabel":"TraceSpanEntity · object"},"title":"Trace Spans","description":"List of trace span entities associated with the interaction.","uniqueKey":"trace_spans.oneOf.0","typeLabel":"TraceSpanEntity · object[]"},{"type":"null","title":"Trace Spans","description":"List of trace span entities associated with the interaction.","uniqueKey":"trace_spans.oneOf.1","typeLabel":"null"}],"uniqueKey":"trace_spans","typeLabel":"TraceSpanEntity · object[] | null"}},"type":"object","required":["application_variant_id","input","output","start_timestamp","id"],"title":"InteractionEntity","description":"Model representing an interaction entity.","uniqueKey":"","typeLabel":"InteractionEntity · object"},"examples":{"Example":{"title":"Example","value":{"application_variant_id":"\u003cstring>","input":{"query":"\u003cstring>"},"output":{"response":"\u003cstring>","context":[{"text":"\u003cstring>","score":123}]},"start_timestamp":"2023-11-07T05:31:56Z","id":"\u003cstring>","thread_id":"\u003cstring>","duration_ms":0,"operation_status":"SUCCESS","operation_metadata":{},"trace_spans":[{"node_id":"\u003cstring>","operation_type":"COMPLETION","start_timestamp":"2023-11-07T05:31:56Z","id":"\u003cstring>","application_interaction_id":"\u003cstring>","operation_status":"SUCCESS","end_timestamp":"2023-11-07T05:31:56Z","operation_input":{},"operation_output":{},"operation_metadata":{},"duration_ms":0,"account_id":"\u003cstring>"}]}}},"exampleType":"generated"}},"exampleType":"generated"},"bdd1d790-af53-4c34-86d5-f91c7e45151e":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"loc":{"items":{"oneOf":[{"type":"string","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"detail.items.[INDEX].loc.items.[INDEX]","typeLabel":"string | integer"},"type":"array","title":"Location","isRequired":true,"uniqueKey":"detail.items.[INDEX].loc","typeLabel":"(string | integer)[]"},"msg":{"type":"string","title":"Message","isRequired":true,"uniqueKey":"detail.items.[INDEX].msg","typeLabel":"string"},"type":{"type":"string","title":"Error Type","isRequired":true,"uniqueKey":"detail.items.[INDEX].type","typeLabel":"string"},"input":{"oneOf":[{"title":"Input"}],"uniqueKey":"detail.items.[INDEX].input","typeLabel":"any"},"ctx":{"type":"object","title":"Context","additionalProperties":true,"uniqueKey":"detail.items.[INDEX].ctx","typeLabel":"Context · object"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError","uniqueKey":"detail.items.[INDEX]","typeLabel":"ValidationError · object"},"type":"array","title":"Detail","uniqueKey":"detail","typeLabel":"ValidationError · object[]"}},"type":"object","title":"HTTPValidationError","uniqueKey":"","typeLabel":"HTTPValidationError · object"},"examples":{"Example":{"title":"Example","value":{"detail":[{"loc":["\u003cstring>"],"msg":"\u003cstring>","type":"\u003cstring>","input":"\u003cunknown>","ctx":{}}]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{},"servers":{"d7da804a-61ba-45a0-9ede-fb5392d113cf":{"url":"https://api.egp.scale.com"}}},"originalFileLocation":"openapi/v4.yaml"},"subdomain":"scalegp","siteName":"Scale AI","title":"Create Application Interaction - Scale AI","navMaps":{"firstHrefInVersion":{"V5":{"href":"/docs/v5/overview","matchLevel":4},"V4 (legacy)":{"href":"/reference/v4/interactions/create-application-interaction","matchLevel":0}},"firstHrefInLanguage":{}},"lastModified":"2026-11-05T21:11:40.473Z","originalFileLocation":"reference/v4/interactions/create-application-interaction.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"Scale AI\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create Application Interaction - Scale AI\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Scale AI\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.gp.scale.com/reference/v4/interactions/create-application-interaction\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://scalegp.mintlify.site/_mintlify/api/og/v2?division=Interactions\u0026amp;title=Create+Application+Interaction\u0026amp;theme=e46b44765a807e25b9d1c907\u0026amp;signature=4030101df4e81a8ebf59f7217bb7909c1343f2e2dfce2b5c0273c9d26ca6caa3\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create Application Interaction - Scale AI\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://scalegp.mintlify.site/_mintlify/api/og/v2?division=Interactions\u0026amp;title=Create+Application+Interaction\u0026amp;theme=e46b44765a807e25b9d1c907\u0026amp;signature=4030101df4e81a8ebf59f7217bb7909c1343f2e2dfce2b5c0273c9d26ca6caa3\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Scale AI\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#3f2e7b\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.gp.scale.com/reference/v4/interactions/create-application-interaction\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/reference/v4/interactions/create-application-interaction.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.gp.scale.com/#organization\",\"name\":\"Scale AI\",\"url\":\"https://docs.gp.scale.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/scalegp/TBmst1qiYXwYqUB5/logo/light.png?fit=max\u0026auto=format\u0026n=TBmst1qiYXwYqUB5\u0026q=85\u0026s=46027042c16b373ac463148db5ad1d6b\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.gp.scale.com#website\",\"name\":\"Scale AI\",\"url\":\"https://docs.gp.scale.com\",\"publisher\":{\"@id\":\"https://docs.gp.scale.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.gp.scale.com/reference/v4/interactions/create-application-interaction#webpage\",\"url\":\"https://docs.gp.scale.com/reference/v4/interactions/create-application-interaction\",\"name\":\"Create Application Interaction\",\"dateModified\":\"2026-11-05T21:11:40.473Z\",\"isPartOf\":{\"@id\":\"https://docs.gp.scale.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.gp.scale.com/reference/v4/interactions/create-application-interaction#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.gp.scale.com/reference/v4/interactions/create-application-interaction#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Scale AI\",\"item\":\"https://docs.gp.scale.com\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Create Application Interaction\",\"item\":\"https://docs.gp.scale.com/reference/v4/interactions/create-application-interaction\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.gp.scale.com/reference/v4/interactions/create-application-interaction#apireference\",\"headline\":\"Create Application Interaction\",\"name\":\"Create Application Interaction\",\"url\":\"https://docs.gp.scale.com/reference/v4/interactions/create-application-interaction\",\"mainEntityOfPage\":{\"@id\":\"https://docs.gp.scale.com/reference/v4/interactions/create-application-interaction#webpage\"},\"dateModified\":\"2026-11-05T21:11:40.473Z\",\"publisher\":{\"@id\":\"https://docs.gp.scale.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.gp.scale.com#website\"}}]}\u003c/script>","agentPointerHref":"/reference/v4/interactions/create-application-interaction.md","siteName":"Scale AI","nav":{"global":null,"versions":[{"version":"V5","pages":[{"title":"V5","href":"/docs/v5/overview"}]},{"version":"V4 (legacy)","tabs":[{"tab":"Home","pages":[{"title":"Home","href":"/home"}]},{"tab":"Guides","pages":[{"title":"Guides","href":"/docs/introduction"}]},{"tab":"API Reference","groups":[{"group":"Knowledge Bases","pages":[{"title":"List Knowledge Bases","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/knowledge-bases","href":"/reference/v4/knowledge-bases/list-knowledge-bases"},{"title":"Create Knowledge Base","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/knowledge-bases","href":"/reference/v4/knowledge-bases/create-knowledge-base"},{"title":"Get Knowledge Base","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/knowledge-bases/{knowledge_base_id}","href":"/reference/v4/knowledge-bases/get-knowledge-base"},{"title":"Delete Knowledge Base","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/knowledge-bases/{knowledge_base_id}","href":"/reference/v4/knowledge-bases/delete-knowledge-base"},{"title":"Patch Knowledge Base","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/knowledge-bases/{knowledge_base_id}","href":"/reference/v4/knowledge-bases/patch-knowledge-base"},{"title":"List Knowledge Base Async Jobs","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/knowledge-bases/{knowledge_base_id}/async-jobs","href":"/reference/v4/knowledge-bases/list-knowledge-base-async-jobs"},{"title":"Fetch Chunks by ID or Metadata","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/knowledge-bases/{knowledge_base_id}/chunks","href":"/reference/v4/knowledge-bases/fetch-chunks-by-id-or-metadata"},{"title":"Query Relevant Chunks","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/knowledge-bases/{knowledge_base_id}/query","href":"/reference/v4/knowledge-bases/query-relevant-chunks"},{"title":"Delete Data Source Connection","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/knowledge-bases/{knowledge_base_id}/data-source-connections/{knowledge_base_data_source_id}/delete","href":"/reference/v4/knowledge-bases/delete-data-source-connection"},{"title":"Submit Upload Job with local files","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/knowledge-bases/{knowledge_base_id}/upload_files","href":"/reference/v4/knowledge-bases/submit-upload-job-with-local-files"},{"title":"List Upload Jobs","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/knowledge-bases/{knowledge_base_id}/uploads","href":"/reference/v4/knowledge-bases/list-upload-jobs"},{"title":"Submit Upload Job","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/knowledge-bases/{knowledge_base_id}/uploads","href":"/reference/v4/knowledge-bases/submit-upload-job"},{"title":"Get Upload Job","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/knowledge-bases/{knowledge_base_id}/uploads/{upload_id}","href":"/reference/v4/knowledge-bases/get-upload-job"},{"title":"Cancel Upload Job","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/knowledge-bases/{knowledge_base_id}/uploads/{upload_id}/cancel","href":"/reference/v4/knowledge-bases/cancel-upload-job"},{"title":"List Tracked Artifacts","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/knowledge-bases/{knowledge_base_id}/artifacts","href":"/reference/v4/knowledge-bases/list-tracked-artifacts"},{"title":"Get Tracked Artifact Details","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/knowledge-bases/{knowledge_base_id}/artifacts/{artifact_id}","href":"/reference/v4/knowledge-bases/get-tracked-artifact-details"},{"title":"Delete Locally Stored Artifact","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/knowledge-bases/{knowledge_base_id}/artifacts/{artifact_id}","href":"/reference/v4/knowledge-bases/delete-locally-stored-artifact"},{"title":"Patch Artifact Information","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/knowledge-bases/{knowledge_base_id}/artifacts/{artifact_id}","href":"/reference/v4/knowledge-bases/patch-artifact-information"},{"title":"List Chunks of Artifacts with Pagination","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/knowledge-bases/{knowledge_base_id}/artifacts/{artifact_id}/chunks","href":"/reference/v4/knowledge-bases/list-chunks-of-artifacts-with-pagination"},{"title":"Create chunk for local chunk artifacts","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/knowledge-bases/{knowledge_base_id}/artifacts/{artifact_id}/chunks","href":"/reference/v4/knowledge-bases/create-chunk-for-local-chunk-artifacts"},{"title":"Get Single Chunk Information and status","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/knowledge-bases/{knowledge_base_id}/artifacts/{artifact_id}/chunks/{chunk_id}","href":"/reference/v4/knowledge-bases/get-single-chunk-information-and-status"},{"title":"Update Single Chunk data for local artifact","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml put /v4/knowledge-bases/{knowledge_base_id}/artifacts/{artifact_id}/chunks/{chunk_id}","href":"/reference/v4/knowledge-bases/update-single-chunk-data-for-local-artifact"},{"title":"Delete Single Chunk from Local Artifact","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/knowledge-bases/{knowledge_base_id}/artifacts/{artifact_id}/chunks/{chunk_id}","href":"/reference/v4/knowledge-bases/delete-single-chunk-from-local-artifact"},{"title":"Get Chunk and Artifact Information by Chunk ID","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/knowledge-bases/chunks/{chunk_id}","href":"/reference/v4/knowledge-bases/get-chunk-and-artifact-information-by-chunk-id"},{"title":"Test Knowledge Base Data Source credentials","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/knowledge-base-data-sources/{knowledge_base_data_source_id}/verify","href":"/reference/v4/knowledge-bases/test-knowledge-base-data-source-credentials"},{"title":"Batch Delete Locally Stored Artifacts","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/knowledge-bases/{knowledge_base_id}/artifacts/batch-delete","href":"/reference/v4/knowledge-bases/batch-delete-locally-stored-artifacts"},{"title":"List Upload Schedules","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/knowledge-bases/{knowledge_base_id}/upload-schedules","href":"/reference/v4/knowledge-bases/list-upload-schedules"},{"title":"Create Upload Schedule","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/knowledge-bases/{knowledge_base_id}/upload-schedules","href":"/reference/v4/knowledge-bases/create-upload-schedule"},{"title":"Get Upload Schedule","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/knowledge-bases/{knowledge_base_id}/upload-schedules/{upload_schedule_id}","href":"/reference/v4/knowledge-bases/get-upload-schedule"},{"title":"Delete Upload Schedule","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/knowledge-bases/{knowledge_base_id}/upload-schedules/{upload_schedule_id}","href":"/reference/v4/knowledge-bases/delete-upload-schedule"},{"title":"Update Upload Schedule","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/knowledge-bases/{knowledge_base_id}/upload-schedules/{upload_schedule_id}","href":"/reference/v4/knowledge-bases/update-upload-schedule"}]},{"group":"Chunks","pages":[{"title":"Rank Chunks","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/chunks/rank","href":"/reference/v4/chunks/rank-chunks"}]},{"group":"Agents","pages":[{"title":"Execute Agent","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/agents/execute","href":"/reference/v4/agents/execute-agent"}]},{"group":"Completions","pages":[{"title":"Create Completion","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/completions","href":"/reference/v4/completions/create-completion"}]},{"group":"Chat Completions","pages":[{"title":"Create Chat Completion","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/chat-completions","href":"/reference/v4/chat-completions/create-chat-completion"}]},{"group":"Models","pages":[{"title":"Execute Model Deployment","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/models/{model_instance_id}/deployments/{model_deployment_id}/execute","href":"/reference/v4/models/execute-model-deployment"},{"title":"Execute Model Deployment Async and Return the Async Run ID","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/models/{model_instance_id}/deployments/{model_deployment_id}/executeAsync","href":"/reference/v4/models/execute-model-deployment-async-and-return-the-async-run-id"},{"title":"Poll Async Inference for result","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/models/{model_instance_id}/deployments/{model_deployment_id}/pollAsync/{async_task_id}","href":"/reference/v4/models/poll-async-inference-for-result"},{"title":"Generate text embedding","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/models/{model_deployment_id}/embeddings","href":"/reference/v4/models/generate-text-embedding"},{"title":"Generate reranking","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/models/{model_deployment_id}/rerankings","href":"/reference/v4/models/generate-reranking"},{"title":"Generate completion","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/models/{model_deployment_id}/completions","href":"/reference/v4/models/generate-completion"},{"title":"Generate chat completion","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/models/{model_deployment_id}/chat-completions","href":"/reference/v4/models/generate-chat-completion"},{"title":"List Model Deployments of a Model","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/models/{model_instance_id}/deployments","href":"/reference/v4/models/list-model-deployments-of-a-model"},{"title":"Deploy Model","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/models/{model_instance_id}/deployments","href":"/reference/v4/models/deploy-model"},{"title":"Get Model usage by model name","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/models/{model_name}/usage-statistics","href":"/reference/v4/models/get-model-usage-by-model-name"},{"title":"List All Model Deployments","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/model-deployments","href":"/reference/v4/models/list-all-model-deployments"},{"title":"Get Model usage for one deployment","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/model-deployments/{model_deployment_id}/usage-statistics","href":"/reference/v4/models/get-model-usage-for-one-deployment"},{"title":"Add model to group","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/model-groups/{model_group_id}/models/{model_instance_id}","href":"/reference/v4/models/add-model-to-group"},{"title":"Get Model usage for a group","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/model-groups/{model_group_id}/usage-statistics","href":"/reference/v4/models/get-model-usage-for-a-group"},{"title":"List Models","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/models","href":"/reference/v4/models/list-models"},{"title":"Create Model","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/models","href":"/reference/v4/models/create-model"},{"title":"Get Model","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/models/{model_id}","href":"/reference/v4/models/get-model"},{"title":"Delete Model","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/models/{model_id}","href":"/reference/v4/models/delete-model"},{"title":"Update Model","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/models/{model_id}","href":"/reference/v4/models/update-model"},{"title":"List Model Groups","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/model-groups","href":"/reference/v4/models/list-model-groups"},{"title":"Create Model Group","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/model-groups","href":"/reference/v4/models/create-model-group"},{"title":"Get Model Group","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/model-groups/{model_group_id}","href":"/reference/v4/models/get-model-group"},{"title":"Delete Model Group","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/model-groups/{model_group_id}","href":"/reference/v4/models/delete-model-group"},{"title":"Update Model Group","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/model-groups/{model_group_id}","href":"/reference/v4/models/update-model-group"},{"title":"Get Deployment","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/models/{model_instance_id}/deployments/{deployment_id}","href":"/reference/v4/models/get-deployment"},{"title":"Delete Deployment","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/models/{model_instance_id}/deployments/{deployment_id}","href":"/reference/v4/models/delete-deployment"},{"title":"Update Deployment","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/models/{model_instance_id}/deployments/{deployment_id}","href":"/reference/v4/models/update-deployment"}]},{"group":"Users","pages":[{"title":"User info","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /user-info","href":"/reference/v4/users/user-info"},{"title":"Update user info","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /user-preferences","href":"/reference/v4/users/update-user-info"},{"title":"Get User","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /users/{user_id}","href":"/reference/v4/users/get-user"}]},{"group":"Accounts","pages":[{"title":"Create account","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /accounts","href":"/reference/v4/accounts/create-account"}]},{"group":"Organizations","pages":[{"title":"Get organization","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /organizations/by-domain/{domain}","href":"/reference/v4/organizations/get-organization"}]},{"group":"Question Sets","pages":[{"title":"Get Question Set","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/question-sets/{question_set_id}","href":"/reference/v4/question-sets/get-question-set"},{"title":"Delete Question Set","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/question-sets/{question_set_id}","href":"/reference/v4/question-sets/delete-question-set"},{"title":"Update Question Set","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/question-sets/{question_set_id}","href":"/reference/v4/question-sets/update-question-set"},{"title":"List Question Sets","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/question-sets","href":"/reference/v4/question-sets/list-question-sets"},{"title":"Create Question Set","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/question-sets","href":"/reference/v4/question-sets/create-question-set"}]},{"group":"Evaluations","pages":[{"title":"Claim Evaluation Task","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluations/{evaluation_id}/claim-task","href":"/reference/v4/evaluations/claim-evaluation-task"},{"title":"Batch assign tasks to user","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/evaluations/{evaluation_id}/tasks/batch-assign","href":"/reference/v4/evaluations/batch-assign-tasks-to-user"},{"title":"Update Evaluation Task","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/evaluations/{evaluation_id}/tasks/{task_id}","href":"/reference/v4/evaluations/update-evaluation-task"},{"title":"Get Contributor Metrics","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluations/{evaluation_id}/contributor-metrics/{contributor_id}","href":"/reference/v4/evaluations/get-contributor-metrics"},{"title":"List Contributor Metrics","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluations/{evaluation_id}/contributor-metrics","href":"/reference/v4/evaluations/list-contributor-metrics"},{"title":"Get Evaluation Metrics","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluations/{evaluation_id}/evaluation-metrics","href":"/reference/v4/evaluations/get-evaluation-metrics"},{"title":"Get Hybrid Evaluation Metrics","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluations/{evaluation_id}/hybrid-eval-metrics","href":"/reference/v4/evaluations/get-hybrid-evaluation-metrics"},{"title":"List Evaluations","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluations","href":"/reference/v4/evaluations/list-evaluations"},{"title":"Create Evaluation","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluations","href":"/reference/v4/evaluations/create-evaluation"},{"title":"Get Evaluation","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluations/{evaluation_id}","href":"/reference/v4/evaluations/get-evaluation"},{"title":"Delete Evaluation","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/evaluations/{evaluation_id}","href":"/reference/v4/evaluations/delete-evaluation"},{"title":"Update Evaluation","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/evaluations/{evaluation_id}","href":"/reference/v4/evaluations/update-evaluation"},{"title":"List Test Case Results","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluations/{evaluation_id}/test-case-results","href":"/reference/v4/evaluations/list-test-case-results"},{"title":"Create Test Case Result","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluations/{evaluation_id}/test-case-results","href":"/reference/v4/evaluations/create-test-case-result"},{"title":"Batch Create Test Case Results","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluations/{evaluation_id}/test-case-results/batch","href":"/reference/v4/evaluations/batch-create-test-case-results"},{"title":"Get Test Case Result","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluations/{evaluation_id}/test-case-results/{test_case_result_id}","href":"/reference/v4/evaluations/get-test-case-result"},{"title":"Update Test Case Result","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/evaluations/{evaluation_id}/test-case-results/{test_case_result_id}","href":"/reference/v4/evaluations/update-test-case-result"},{"title":"Get Historical Test Case Result","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluations/{evaluation_id}/test-case-results/{test_case_result_id}/history/{num}","href":"/reference/v4/evaluations/get-historical-test-case-result"},{"title":"Get All Versions of Test Case Result","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluations/{evaluation_id}/test-case-results/{test_case_result_id}/history","href":"/reference/v4/evaluations/get-all-versions-of-test-case-result"},{"title":"List Historical Test Case Results","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluations/{evaluation_id}/test-case-results/history/{num}","href":"/reference/v4/evaluations/list-historical-test-case-results"}]},{"group":"Evaluation Configs","pages":[{"title":"List Evaluation Configs","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluation-configs","href":"/reference/v4/evaluation-configs/list-evaluation-configs"},{"title":"Create Evaluation Config","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluation-configs","href":"/reference/v4/evaluation-configs/create-evaluation-config"},{"title":"Get Evaluation Config","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluation-configs/{evaluation_config_id}","href":"/reference/v4/evaluation-configs/get-evaluation-config"},{"title":"Delete Evaluation Config","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/evaluation-configs/{evaluation_config_id}","href":"/reference/v4/evaluation-configs/delete-evaluation-config"}]},{"group":"Evaluation Datasets","pages":[{"title":"List Evaluation Datasets","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluation-datasets","href":"/reference/v4/evaluation-datasets/list-evaluation-datasets"},{"title":"Create Evaluation Dataset","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluation-datasets","href":"/reference/v4/evaluation-datasets/create-evaluation-dataset"},{"title":"Get Evaluation Dataset","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluation-datasets/{evaluation_dataset_id}","href":"/reference/v4/evaluation-datasets/get-evaluation-dataset"},{"title":"Delete Evaluation Dataset","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/evaluation-datasets/{evaluation_dataset_id}","href":"/reference/v4/evaluation-datasets/delete-evaluation-dataset"},{"title":"Update Evaluation Dataset","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/evaluation-datasets/{evaluation_dataset_id}","href":"/reference/v4/evaluation-datasets/update-evaluation-dataset"},{"title":"List Evaluation Dataset Versions","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluation-datasets/{evaluation_dataset_id}/evaluation-dataset-versions","href":"/reference/v4/evaluation-datasets/list-evaluation-dataset-versions"},{"title":"Create Evaluation Dataset Version","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluation-datasets/{evaluation_dataset_id}/evaluation-dataset-versions","href":"/reference/v4/evaluation-datasets/create-evaluation-dataset-version"},{"title":"Get Evaluation Dataset Version","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluation-datasets/{evaluation_dataset_id}/evaluation-dataset-versions/{evaluation_dataset_version_id}","href":"/reference/v4/evaluation-datasets/get-evaluation-dataset-version"},{"title":"List Test Cases","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluation-datasets/{evaluation_dataset_id}/test-cases","href":"/reference/v4/evaluation-datasets/list-test-cases"},{"title":"Create Test Case","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluation-datasets/{evaluation_dataset_id}/test-cases","href":"/reference/v4/evaluation-datasets/create-test-case"},{"title":"Batch Create Test Cases","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluation-datasets/{evaluation_dataset_id}/test-cases/batch","href":"/reference/v4/evaluation-datasets/batch-create-test-cases"},{"title":"Get Test Case","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluation-datasets/{evaluation_dataset_id}/test-cases/{test_case_id}","href":"/reference/v4/evaluation-datasets/get-test-case"},{"title":"Delete Test Case","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/evaluation-datasets/{evaluation_dataset_id}/test-cases/{test_case_id}","href":"/reference/v4/evaluation-datasets/delete-test-case"},{"title":"Update Test Case","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/evaluation-datasets/{evaluation_dataset_id}/test-cases/{test_case_id}","href":"/reference/v4/evaluation-datasets/update-test-case"},{"title":"Get Historical Test Case","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluation-datasets/{evaluation_dataset_id}/test-cases/{test_case_id}/history/{num}","href":"/reference/v4/evaluation-datasets/get-historical-test-case"},{"title":"Get All Versions of Test Case","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluation-datasets/{evaluation_dataset_id}/test-cases/{test_case_id}/history","href":"/reference/v4/evaluation-datasets/get-all-versions-of-test-case"},{"title":"Wipe Full History of Test Cases","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/evaluation-datasets/{evaluation_dataset_id}/test-cases/{test_case_id}/history","href":"/reference/v4/evaluation-datasets/wipe-full-history-of-test-cases"},{"title":"List Historical Test Cases","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluation-datasets/{evaluation_dataset_id}/test-cases/history/{num}","href":"/reference/v4/evaluation-datasets/list-historical-test-cases"},{"title":"List Autogenerated Draft Test Cases","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluation-datasets/{evaluation_dataset_id}/autogenerated-draft-test-cases","href":"/reference/v4/evaluation-datasets/list-autogenerated-draft-test-cases"},{"title":"Create Autogenerated Draft Test Case","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluation-datasets/{evaluation_dataset_id}/autogenerated-draft-test-cases","href":"/reference/v4/evaluation-datasets/create-autogenerated-draft-test-case"},{"title":"Get Autogenerated Draft Test Case","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluation-datasets/{evaluation_dataset_id}/autogenerated-draft-test-cases/{autogenerated_draft_test_case_id}","href":"/reference/v4/evaluation-datasets/get-autogenerated-draft-test-case"},{"title":"Delete Autogenerated Draft Test Case","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/evaluation-datasets/{evaluation_dataset_id}/autogenerated-draft-test-cases/{autogenerated_draft_test_case_id}","href":"/reference/v4/evaluation-datasets/delete-autogenerated-draft-test-case"},{"title":"Update Autogenerated Draft Test Case","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/evaluation-datasets/{evaluation_dataset_id}/autogenerated-draft-test-cases/{autogenerated_draft_test_case_id}","href":"/reference/v4/evaluation-datasets/update-autogenerated-draft-test-case"},{"title":"Approve Autogenerated Draft Test Case","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluation-datasets/{evaluation_dataset_id}/autogenerated-draft-test-cases/{autogenerated_draft_test_case_id}/approve","href":"/reference/v4/evaluation-datasets/approve-autogenerated-draft-test-case"},{"title":"Publish Latest Evaluation Dataset Version","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluation-datasets/{evaluation_dataset_id}/publish","href":"/reference/v4/evaluation-datasets/publish-latest-evaluation-dataset-version"},{"title":"Approve Auto Generated Test Cases Batch","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluation-datasets/{evaluation_dataset_id}/approve-batch","href":"/reference/v4/evaluation-datasets/approve-auto-generated-test-cases-batch"},{"title":"Get Evaluation Dataset Generation Jobs","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluation-datasets/{evaluation_dataset_id}/generation-jobs","href":"/reference/v4/evaluation-datasets/get-evaluation-dataset-generation-jobs"},{"title":"Create Evaluation Dataset Generation Job","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluation-datasets/{evaluation_dataset_id}/generation-jobs","href":"/reference/v4/evaluation-datasets/create-evaluation-dataset-generation-job"},{"title":"Get Evaluation Dataset Generation Job","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluation-datasets/{evaluation_dataset_id}/generation-jobs/{generation_job_id}","href":"/reference/v4/evaluation-datasets/get-evaluation-dataset-generation-job"},{"title":"Cancel Evaluation Dataset Generation Job","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluation-datasets/{evaluation_dataset_id}/generation-jobs/{generation_job_id}/cancel","href":"/reference/v4/evaluation-datasets/cancel-evaluation-dataset-generation-job"},{"title":"Publish Evaluation Dataset Version","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluation-datasets/{evaluation_dataset_id}/evaluation-dataset-versions/{evaluation_dataset_version_id}/publish","href":"/reference/v4/evaluation-datasets/publish-evaluation-dataset-version"}]},{"group":"Studio Projects","pages":[{"title":"List Studio Projects","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/studio-projects","href":"/reference/v4/studio-projects/list-studio-projects"},{"title":"Create Studio Project","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/studio-projects","href":"/reference/v4/studio-projects/create-studio-project"},{"title":"Get Studio Project","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/studio-projects/{studio_project_id}","href":"/reference/v4/studio-projects/get-studio-project"},{"title":"Delete Studio Project","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/studio-projects/{studio_project_id}","href":"/reference/v4/studio-projects/delete-studio-project"},{"title":"Update Studio Project","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/studio-projects/{studio_project_id}","href":"/reference/v4/studio-projects/update-studio-project"}]},{"group":"Application Specs","pages":[{"title":"List Application Specs","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/application-specs","href":"/reference/v4/application-specs/list-application-specs"},{"title":"Create Application Spec","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/application-specs","href":"/reference/v4/application-specs/create-application-spec"},{"title":"Get Application Spec","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/application-specs/{application_spec_id}","href":"/reference/v4/application-specs/get-application-spec"},{"title":"Delete Application Spec","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/application-specs/{application_spec_id}","href":"/reference/v4/application-specs/delete-application-spec"},{"title":"Update Application Spec","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/application-specs/{application_spec_id}","href":"/reference/v4/application-specs/update-application-spec"}]},{"group":"Questions","pages":[{"title":"List Questions","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/questions","href":"/reference/v4/questions/list-questions"},{"title":"Create Question","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/questions","href":"/reference/v4/questions/create-question"},{"title":"Get Question","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/questions/{question_id}","href":"/reference/v4/questions/get-question"}]},{"group":"Knowledge Base Data Sources","pages":[{"title":"List Knowledge Base Data Sources","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/knowledge-base-data-sources","href":"/reference/v4/knowledge-base-data-sources/list-knowledge-base-data-sources"},{"title":"Create Knowledge Base Data Source","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/knowledge-base-data-sources","href":"/reference/v4/knowledge-base-data-sources/create-knowledge-base-data-source"},{"title":"Get Knowledge Base Data Source","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/knowledge-base-data-sources/{knowledge_base_data_source_id}","href":"/reference/v4/knowledge-base-data-sources/get-knowledge-base-data-source"},{"title":"Delete Knowledge Base Data Source","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/knowledge-base-data-sources/{knowledge_base_data_source_id}","href":"/reference/v4/knowledge-base-data-sources/delete-knowledge-base-data-source"},{"title":"Update Knowledge Base Data Source","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/knowledge-base-data-sources/{knowledge_base_data_source_id}","href":"/reference/v4/knowledge-base-data-sources/update-knowledge-base-data-source"}]},{"group":"Model Templates V3 (Beta)","pages":[{"title":"List Model Templates","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/model-templates","href":"/reference/v4/model-templates-v3-beta/list-model-templates"},{"title":"Create Model Template","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/model-templates","href":"/reference/v4/model-templates-v3-beta/create-model-template"},{"title":"Get Model Template","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/model-templates/{model_template_id}","href":"/reference/v4/model-templates-v3-beta/get-model-template"},{"title":"Delete Model Template","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/model-templates/{model_template_id}","href":"/reference/v4/model-templates-v3-beta/delete-model-template"}]},{"group":"Model server","pages":[{"title":"Fixed Server interface for Model execution","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/serving/{model_server_id}/execute","href":"/reference/v4/model-server/fixed-server-interface-for-model-execution"},{"title":"Fixed Server interface for async Model execution","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/serving/{model_server_id}/executeAsync","href":"/reference/v4/model-server/fixed-server-interface-for-async-model-execution"},{"title":"Poll Async Inference for result","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/serving/{model_server_id}/pollAsync/{async_task_id}","href":"/reference/v4/model-server/poll-async-inference-for-result"},{"title":"Fixed Server interface for Model execution by named alias","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/serving/a/{alias}/execute","href":"/reference/v4/model-server/fixed-server-interface-for-model-execution-by-named-alias"},{"title":"Fixed Server interface for async Model execution by named alias","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/serving/a/{alias}/executeAsync","href":"/reference/v4/model-server/fixed-server-interface-for-async-model-execution-by-named-alias"},{"title":"Poll Async Inference for result by named alias","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/serving/a/{alias}/pollAsync/{async_task_id}","href":"/reference/v4/model-server/poll-async-inference-for-result-by-named-alias"},{"title":"Create a new Model Server","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/serving","href":"/reference/v4/model-server/create-a-new-model-server"},{"title":"Get current deployment of the Model Server","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/serving/{model_server_id}/deployment","href":"/reference/v4/model-server/get-current-deployment-of-the-model-server"},{"title":"Change backend of the Model Server","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml put /v4/serving/{model_server_id}/backend","href":"/reference/v4/model-server/change-backend-of-the-model-server"},{"title":"Rollback backend of the Model Server","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/serving/{model_server_id}/rollback","href":"/reference/v4/model-server/rollback-backend-of-the-model-server"}]},{"group":"API Reference","pages":[{"title":"Fixed Server interface for Model execution by named alias","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/serving","href":"/reference/v4/fixed-server-interface-for-model-execution-by-named-alias"},{"title":"Fixed Server interface for Model execution by named alias","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/serving/{model_server_id}","href":"/reference/v4/fixed-server-interface-for-model-execution-by-named-alias-1"},{"title":"Delete a Model Server","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/serving/{model_server_id}","href":"/reference/v4/delete-a-model-server"},{"title":"Fixed Server interface for Model execution by named alias","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/serving/a/{alias}","href":"/reference/v4/fixed-server-interface-for-model-execution-by-named-alias-2"}]},{"group":"Fine Tuning Jobs V3 (Beta)","pages":[{"title":"List Fine Tuning Jobs","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/fine-tuning-jobs","href":"/reference/v4/fine-tuning-jobs-v3-beta/list-fine-tuning-jobs"},{"title":"Create Fine Tuning Job","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/fine-tuning-jobs","href":"/reference/v4/fine-tuning-jobs-v3-beta/create-fine-tuning-job"},{"title":"Get Fine Tuning Job","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/fine-tuning-jobs/{fine_tuning_job_id}","href":"/reference/v4/fine-tuning-jobs-v3-beta/get-fine-tuning-job"},{"title":"Delete Fine Tuning Job","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/fine-tuning-jobs/{fine_tuning_job_id}","href":"/reference/v4/fine-tuning-jobs-v3-beta/delete-fine-tuning-job"},{"title":"Get fine tuning job events","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/fine-tuning-jobs/{fine_tuning_job_id}/events","href":"/reference/v4/fine-tuning-jobs-v3-beta/get-fine-tuning-job-events"}]},{"group":"Training Datasets V3 (Beta)","pages":[{"title":"List Training Datasets","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/training-datasets","href":"/reference/v4/training-datasets-v3-beta/list-training-datasets"},{"title":"Create Training Dataset","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/training-datasets","href":"/reference/v4/training-datasets-v3-beta/create-training-dataset"},{"title":"Get Training Dataset","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/training-datasets/{training_dataset_id}","href":"/reference/v4/training-datasets-v3-beta/get-training-dataset"},{"title":"Delete Training Dataset","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/training-datasets/{training_dataset_id}","href":"/reference/v4/training-datasets-v3-beta/delete-training-dataset"},{"title":"Get Training Dataset Contents","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/training-datasets/{training_dataset_id}/contents","href":"/reference/v4/training-datasets-v3-beta/get-training-dataset-contents"}]},{"group":"package deployments","pages":[{"title":"Install a deployment packages","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/deployment-packages/{account_id}/install","href":"/reference/v4/package-deployments/install-a-deployment-packages"},{"title":"Copy a deployment package to control plane hook","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/deployment-packages/{account_id}/copy-to-control-plane-hook","href":"/reference/v4/package-deployments/copy-a-deployment-package-to-control-plane-hook"},{"title":"Install a deployment packages","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/deployment-packages/{account_id}/install_async","href":"/reference/v4/package-deployments/install-a-deployment-packages-1"},{"title":"Verify that the prerequisites for installing a specific package version are met","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/deployment-packages/{account_id}/verify-install-prerequisites-met","href":"/reference/v4/package-deployments/verify-that-the-prerequisites-for-installing-a-specific-package-version-are-met"}]},{"group":"Beta","pages":[{"title":"Generate OpenAI chat completion from messages","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/beta/chat/completions","href":"/reference/v4/beta/generate-openai-chat-completion-from-messages"},{"title":"Generate legacy text completion from prompt","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/beta/completions","href":"/reference/v4/beta/generate-legacy-text-completion-from-prompt"},{"title":"List files","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/beta/files","href":"/reference/v4/beta/list-files"},{"title":"Upload file bytes directly","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/beta/files","href":"/reference/v4/beta/upload-file-bytes-directly"},{"title":"Get file metadata","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/beta/files/{file_id}","href":"/reference/v4/beta/get-file-metadata"},{"title":"Delete a file","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/beta/files/{file_id}","href":"/reference/v4/beta/delete-a-file"},{"title":"Update a file","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/beta/files/{file_id}","href":"/reference/v4/beta/update-a-file"},{"title":"Download file content","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/beta/files/{file_id}/content","href":"/reference/v4/beta/download-file-content"}]},{"group":"Applications","pages":[{"title":"List Application Variants","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/application-variants","href":"/reference/v4/applications/list-application-variants"},{"title":"Create Application Variant","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/application-variants","href":"/reference/v4/applications/create-application-variant"},{"title":"Get Application Variant","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/application-variants/{application_variant_id}","href":"/reference/v4/applications/get-application-variant"},{"title":"Delete Application Variant","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/application-variants/{application_variant_id}","href":"/reference/v4/applications/delete-application-variant"},{"title":"Update Application Variant","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/application-variants/{application_variant_id}","href":"/reference/v4/applications/update-application-variant"},{"title":"List Application Deployments","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/application-deployments","href":"/reference/v4/applications/list-application-deployments"},{"title":"Create Application Deployment","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/application-deployments","href":"/reference/v4/applications/create-application-deployment"},{"title":"Get Application Deployment","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/application-deployments/{application_deployment_id}","href":"/reference/v4/applications/get-application-deployment"},{"title":"Update Application Deployment","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/application-deployments/{application_deployment_id}","href":"/reference/v4/applications/update-application-deployment"},{"title":"List Application Variant Reports","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/application-variant-reports","href":"/reference/v4/applications/list-application-variant-reports"},{"title":"Create Application Variant Report","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/application-variant-reports","href":"/reference/v4/applications/create-application-variant-report"},{"title":"Get Application Variant Report","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/application-variant-reports/{application_variant_report_id}","href":"/reference/v4/applications/get-application-variant-report"},{"title":"List Application Test Case Outputs","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/application-test-case-outputs","href":"/reference/v4/applications/list-application-test-case-outputs"},{"title":"Batch Create Application Test Case Outputs","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/application-test-case-outputs/batch","href":"/reference/v4/applications/batch-create-application-test-case-outputs"},{"title":"Get Application Test Case Output","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/application-test-case-outputs/{application_test_case_output_id}","href":"/reference/v4/applications/get-application-test-case-output"},{"title":"Create Application With Variant","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/application-with-variant","href":"/reference/v4/applications/create-application-with-variant"},{"title":"Get Application Schemas","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/application-schemas","href":"/reference/v4/applications/get-application-schemas"},{"title":"Process Application","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/applications/process","href":"/reference/v4/applications/process-application"},{"title":"Process Application By Id","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/applications/{application_variant_id}/process","href":"/reference/v4/applications/process-application-by-id"},{"title":"Process Deployed Application For Thread","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/applications/{application_variant_id}/threads/{thread_id}/process","href":"/reference/v4/applications/process-deployed-application-for-thread"},{"title":"Process Application By Alias","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/applications/process/{application_alias}","href":"/reference/v4/applications/process-application-by-alias"},{"title":"Validate Application","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/applications/validate","href":"/reference/v4/applications/validate-application"},{"title":"List Application Threads","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/applications/{application_variant_id}/threads","href":"/reference/v4/applications/list-application-threads"},{"title":"Create New Application Thread","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/applications/{application_variant_id}/threads","href":"/reference/v4/applications/create-new-application-thread"},{"title":"Upload Application Files","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/applications/upload-files","href":"/reference/v4/applications/upload-application-files"},{"title":"Publish Application Variant","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/application-variants/{application_variant_id}/publish","href":"/reference/v4/applications/publish-application-variant"}]},{"group":"ChatThreads","pages":[{"title":"Get Thread Messages","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/threads/{thread_id}/messages","href":"/reference/v4/chatthreads/get-thread-messages"},{"title":"Delete Chat Thread","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/threads/{thread_id}","href":"/reference/v4/chatthreads/delete-chat-thread"},{"title":"Patch Chat Thread","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/threads/{thread_id}","href":"/reference/v4/chatthreads/patch-chat-thread"},{"title":"Patch Chat Thread Entry","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/threads/{thread_id}/messages/{application_interaction_id}","href":"/reference/v4/chatthreads/patch-chat-thread-entry"},{"title":"Add Feedback To Thread Entry","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml put /v4/threads/{thread_id}/messages/{application_interaction_id}/feedback","href":"/reference/v4/chatthreads/add-feedback-to-thread-entry"},{"title":"Delete Interaction Feedback","description":null,"deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/threads/{thread_id}/messages/{application_interaction_id}/feedback","href":"/reference/v4/chatthreads/delete-interaction-feedback"}]},{"group":"Interactions","pages":[{"title":"Create Application Interaction","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/interactions/","href":"/reference/v4/interactions/create-application-interaction"},{"title":"Get Interaction Feedback","description":null,"deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/interactions/{application_interaction_id}/feedback","href":"/reference/v4/interactions/get-interaction-feedback"}]},{"group":"MonitoringDashboard","pages":[{"title":"Get Dashboard Schema","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/applications/{application_spec_id}/dashboards/{dashboard_id}","href":"/reference/v4/monitoringdashboard/get-dashboard-schema"},{"title":"Get Scalar Metric","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/applications/{application_spec_id}/metrics/scalar/{metric_id}","href":"/reference/v4/monitoringdashboard/get-scalar-metric"},{"title":"Get Timeseries Metric","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/applications/{application_spec_id}/metrics/timeseries/{metric_id}","href":"/reference/v4/monitoringdashboard/get-timeseries-metric"}]},{"group":"Chat Themes","pages":[{"title":"List Themes","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/themes","href":"/reference/v4/chat-themes/list-themes"},{"title":"Create Theme","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/themes","href":"/reference/v4/chat-themes/create-theme"},{"title":"Get Theme","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/themes/{theme_id}","href":"/reference/v4/chat-themes/get-theme"}]},{"group":"Sessions","pages":[{"title":"List Sessions","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/sessions","href":"/reference/v4/sessions/list-sessions"},{"title":"Create Session","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/sessions","href":"/reference/v4/sessions/create-session"},{"title":"Get Session","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/sessions/{session_id}","href":"/reference/v4/sessions/get-session"},{"title":"Delete Session","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/sessions/{session_id}","href":"/reference/v4/sessions/delete-session"},{"title":"Update Session","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/sessions/{session_id}","href":"/reference/v4/sessions/update-session"}]},{"group":"account groups","pages":[{"title":"Upsert General Role Restriction","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml put /v4/account-groups/general-role-restrictions/{role}","href":"/reference/v4/account-groups/upsert-general-role-restriction"}]}]},{"tab":"Recipes","pages":[{"title":"Recipes","href":"/recipes/flexible-evaluations"}]},{"tab":"Release Notes","pages":[{"title":"Release Notes","href":"/changelog/release-notes"}]}]}]},"basePath":"","title":"Create Application Interaction - Scale AI","buildId":"dpl_41S5Z2jG9QnfDRwN1KZrLdBwj7DM","deploymentId":"dpl_41S5Z2jG9QnfDRwN1KZrLdBwj7DM","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DDP9JXtj.js","utils-8yQyvEtx.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-CBCFR8Sn.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-rQaXkUHa.js","snippetPresets-J5KpBTgV.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-BVxVH4Cj.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BxdQ2vIi.js","shallow-BjV2tFiD.js","getApiPlaygroundDisplay-C_55tL4O.js","CodeSnippet-C0JpiCOC.js","CodeSnippets-w9Ps7djG.js","Page-DTNSD-0M.js","getPastedJson-BDfB-H8d.js","icon-g-kUkkO9.js","MethodPill-v4l6fq0h.js","DuplicateIcon-CvLo-CfU.js","createIcon-165clrrV.js","DynamicMarkdown-D3RQ-fEj.js","SectionHeading-vvo-3yLf.js","axios-vUo_bRtp.js","Markdown-CMT1uFWQ.js","clsx-C8f2yC9R.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CI2D8R2Y.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-k78Wrw_e.js"]}